
Redmine - Defect #7116

Fixing keyword: "closes" doesnt close the issue

2010-12-16 12:04 - Pedro Gutierrez

Status: Closed Start date: 2010-12-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.0.3

Description

Committing a change in our SVN repository with the comment:

"closes #9999" 

doesn't close the issue anymore.    

We've been using this functionality without any problem until we migrated to 1.0.3

And keywords configurations remains the same (see below)

 fixingKeys.jpg 

I haven't found anyone reporting this. But due to the huge ammount of issues since v1.03 was released I can't be sure anymore.

History

#1 - 2010-12-16 13:30 - Mikhail Sviridov

- % Done changed from 0 to 50

htdecfjtwecjtwjdcwec

#2 - 2010-12-16 16:44 - Mischa The Evil

- % Done changed from 50 to 0

I'm not able to reproduce this on the current trunk (thus not 1.0.x) and I am not aware of any changes to this feature between 1.0.0 and 1.0.3.

Can you please post some logs?

#3 - 2010-12-17 08:07 - Pedro Gutierrez

Everything goes Ok iif the repository and the issue belong to the same project.

The problem arises when a commit in one project tries to close an issue from another project

#4 - 2010-12-17 08:32 - Pedro Gutierrez

... but, to be honest, I can't guarantee that this worked before we migrated to v1.0.3

#5 - 2010-12-17 09:25 - Mischa The Evil

You should be able to reference issues of parent projects and subprojects only through commits. This is introduced in r3357 for issue #4674 shipped

with Redmine 0.9.2.

#6 - 2010-12-17 09:40 - Pedro Gutierrez

- Status changed from New to Resolved

I understand.

We were trying to close an issue belonging to a project that was neither a parent nor a subproject and this is not part of the expected functionality

#7 - 2010-12-23 06:50 - Jean-Baptiste Barth

- Status changed from Resolved to Closed
https://www.redmine.org/projects/redmine/repository/svn/revisions/3357
https://www.redmine.org/issues/4674
https://www.redmine.org/versions/16


Thanks for the feedback.
